Subject: Re: [PATCH v2 net 3/7] tcp: resalt the secret every 10 seconds

From: Willy Tarreau <[email-masked]>
Date: Fri, 29 Apr 2022 17:30:50 +0200

On Fri, Apr 29, 2022 at 04:48:52PM +0200, Jason A. Donenfeld wrote:
> On Thu, Apr 28, 2022 at 2:40 PM Willy Tarreau <[email-masked]> wrote:
> > @@ -101,10 +103,12 @@ u64 secure_ipv6_port_ephemeral(const __be32 *saddr, const __be32 *daddr,
> >                 struct in6_addr saddr;
> >                 struct in6_addr daddr;
> >                 __be16 dport;
> > +               unsigned int timeseed;
> 
> Also, does the struct packing (or lack thereof) lead to problems here?
> Uninitialized bytes might not make a stable hash.

Hmmm, I didn't notice, and I think you're right indeed. I did test in IPv6
without noticing any problem but it doesn't mean that the hash is perfectly
stable.

I'll send an update for this one, thank you!
Willy